import { ApiSettings, ApiStats } from '../types/types';
import { ApiRequest, ApiResponse, ConnectionStatus } from '../types/types';
export declare const apiError: (request: ApiRequest, response: ApiResponse) => {
    type: string;
    request: ApiRequest;
    response: ApiResponse;
};
export declare const onRequestStart: (request: ApiRequest) => import("redux-store-generator").Action;
export declare const onRequestResponse: (request: ApiRequest, response: ApiResponse) => import("redux-store-generator").Action;
export declare const onRequestRetry: (request: ApiRequest) => import("redux-store-generator").Action;
export declare const onApiStatusUpdate: (request: ApiRequest, response: ApiResponse) => import("redux-store-generator").Action;
export declare const connectionChange: (nodeName: string, connectionStatus: ConnectionStatus) => import("redux-store-generator").Action;
export declare const onApiSettingsChange: (settings: ApiSettings) => import("redux-store-generator").Action;
export declare const onApiStatsChange: (settings: ApiStats) => import("redux-store-generator").Action;
export declare const onGlobalStatsLastSuccessfulRequest: (settings: ApiStats) => import("redux-store-generator").Action;
