import { Action, NodeType } from 'redux-store-generator';
import { EndpointsConfig, ApiRequest, ApiStatuses, Sagas, SagaState } from './../types/types';
interface Single {
    nodeType?: NodeType;
}
export declare const generateConfigReducer: <T extends Single>(configName: string) => (state: T, action: Action) => any;
export declare const sagas: (state: Record<keyof Sagas, SagaState>, action: Action) => any;
export declare const apiRequests: (state: ApiRequest[], action: Action) => any;
export declare const lastAction: (state: any, action: Action) => Action;
export declare const apiEndpointsConfig: (state: EndpointsConfig, action: Action) => any;
export declare const apiStatus: (state: ApiStatuses, action: Action) => any;
export declare const generateApiReducersForStore: () => {
    _api: import("redux").Reducer<import("redux").CombinedState<{
        apiGlobalSettings: Record<string, any> | undefined;
        apiGlobalStats: Record<string, any> | undefined;
        endpointsConfig: any;
        status: any;
        actionTypes: Record<string, any> | undefined;
        nodeTypes: Record<string, any> | undefined;
        requests: any;
    }>, Action>;
};
export declare const generateSagasReducersForStore: () => {
    _sagas: (state: Record<keyof Sagas, SagaState>, action: Action) => any;
};
export {};
