"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.intervalChannel = void 0;
var redux_saga_1 = require("redux-saga");
function intervalChannel(duration) {
    return redux_saga_1.eventChannel(function (emitter) {
        var interval = setInterval(function () {
            emitter(true);
        }, duration);
        return function () {
            clearInterval(interval);
        };
    });
}
exports.intervalChannel = intervalChannel;
//# sourceMappingURL=interval.js.map