import { ApiVerb, NodeType } from 'redux-store-generator';
import { ActionWithPromise, ApiRequest } from '../../types/types';
export declare class RequestBuilder {
    private output;
    private id;
    constructor();
    withNodeName(value: string): this;
    withMethod(value: ApiVerb): this;
    withNodeType(value: NodeType): this;
    withIsCompleted(value: boolean): this;
    withOriginalAction(value: ActionWithPromise): this;
    build(): ApiRequest;
}
