"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearActionP = exports.dispatchP = void 0;
var globals_1 = require("../../globals");
var uuid_1 = require("./uuid");
var dispatchP = function (action) {
    return new Promise(function (resolve, reject) {
        var newAction = __assign(__assign({ '@@redux-connected/ACTION_ID': uuid_1.uuidv4() }, action), { resolve: resolve,
            reject: reject });
        globals_1.default.connectedStore.dispatch(newAction);
    });
};
exports.dispatchP = dispatchP;
function clearActionP(action) {
    var output = __assign({}, action);
    delete output['resolve'];
    delete output['reject'];
    return output;
}
exports.clearActionP = clearActionP;
exports.default = exports.dispatchP;
//# sourceMappingURL=dispatchP.js.map