"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.clearMeta = exports.generateMeta = void 0;
var date_1 = require("./date");
var uuid_1 = require("./uuid");
var generateMeta = function (sequence) {
    var uuid = uuid_1.uuidv4();
    return {
        id: uuid,
        shortId: uuid.substr(uuid.length - 4),
        createdTS: date_1.timestamp(),
        sequence: sequence,
    };
};
exports.generateMeta = generateMeta;
var clearMeta = function (json) {
    var output = __assign({}, json);
    delete output['meta'];
    delete output['originalAction'];
    return output;
};
exports.clearMeta = clearMeta;
//# sourceMappingURL=meta.js.map