import { StartSagaPayload, StopSagaPayload } from './../types/types';
import { ForkEffect } from 'redux-saga/effects';
import { Action } from 'redux-store-generator';
export declare const startSaga: (payload?: StartSagaPayload | undefined) => {
    type: string;
    payload: StartSagaPayload | undefined;
};
export declare const stopSaga: (payload?: StopSagaPayload | undefined) => {
    type: string;
    payload: StopSagaPayload | undefined;
};
export declare class ProcessManager {
    private runningSagas;
    constructor();
    start(action: Action): Generator<import("redux-saga/effects").PutEffect<Action> | ForkEffect<unknown>, void, ForkEffect<any>>;
    stop(action: Action): Generator<import("redux-saga/effects").PutEffect<Action> | import("redux-saga/effects").CancelEffect, void, unknown>;
    run(): Generator<ForkEffect<never> | import("redux-saga/effects").PutEffect<import("./../types/types").ActionWithPayload<import("./../types/types").Log>>, void, unknown>;
}
export default ProcessManager;
