"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ApiRequestStatus = exports.RequestPriority = exports.RequestResult = exports.ErrorReportingStrategy = exports.RetryStrategy = exports.ConnectionStatus = exports.ConnectionType = void 0;
var ConnectionType;
(function (ConnectionType) {
    ConnectionType["NONE"] = "NONE";
    ConnectionType["REST"] = "REST";
    ConnectionType["SOCKET"] = "SOCKET";
})(ConnectionType = exports.ConnectionType || (exports.ConnectionType = {}));
var ConnectionStatus;
(function (ConnectionStatus) {
    ConnectionStatus["IDLE"] = "IDLE";
    ConnectionStatus["LOADING"] = "LOADING";
    ConnectionStatus["RETRYING"] = "RETRYING";
    ConnectionStatus["PAUSED"] = "PAUSED";
    ConnectionStatus["ERROR"] = "ERROR";
})(ConnectionStatus = exports.ConnectionStatus || (exports.ConnectionStatus = {}));
var RetryStrategy;
(function (RetryStrategy) {
    RetryStrategy["NONE"] = "NONE";
    RetryStrategy["X1_TIMES"] = "X1_TIMES";
    RetryStrategy["X2_TIMES"] = "X2_TIMES";
    RetryStrategy["X3_TIMES"] = "X3_TIMES";
    RetryStrategy["X4_TIMES"] = "X4_TIMES";
    RetryStrategy["INDEFINITELY"] = "INDEFINITELY";
})(RetryStrategy = exports.RetryStrategy || (exports.RetryStrategy = {}));
var ErrorReportingStrategy;
(function (ErrorReportingStrategy) {
    ErrorReportingStrategy["NONE"] = "NONE";
    ErrorReportingStrategy["WARNING"] = "WARNING";
    ErrorReportingStrategy["ERROR"] = "ERROR";
})(ErrorReportingStrategy = exports.ErrorReportingStrategy || (exports.ErrorReportingStrategy = {}));
var RequestResult;
(function (RequestResult) {
    RequestResult["NONE"] = "NONE";
    RequestResult["SUCCESS"] = "SUCCESS";
    RequestResult["ERROR"] = "ERROR";
})(RequestResult = exports.RequestResult || (exports.RequestResult = {}));
var RequestPriority;
(function (RequestPriority) {
    RequestPriority[RequestPriority["NORMAL"] = 0] = "NORMAL";
    RequestPriority[RequestPriority["HIGH"] = 1] = "HIGH";
    RequestPriority[RequestPriority["URGENT"] = 2] = "URGENT";
})(RequestPriority = exports.RequestPriority || (exports.RequestPriority = {}));
var ApiRequestStatus;
(function (ApiRequestStatus) {
    ApiRequestStatus["IDLE"] = "IDLE";
    ApiRequestStatus["ON_QUEUE"] = "ON_QUEUE";
    ApiRequestStatus["RUNNING"] = "RUNNING";
    ApiRequestStatus["ERROR"] = "ERROR";
    ApiRequestStatus["SUCCESS"] = "SUCCESS";
})(ApiRequestStatus = exports.ApiRequestStatus || (exports.ApiRequestStatus = {}));
//# sourceMappingURL=types.js.map