import { Action } from 'redux-store-generator';
import dispatchP from '../sagas/_utils/dispatchP';

export const connectedMiddleware = (store: any) => (next: any) => async (
    action: Action
) => {
    const actionResponse = await dispatchP(action);
    next(actionResponse.nextAction);
    return actionResponse.response;
};
