import { ApiResponse, ApiRequest, ApiErrorType } from '../../types/types';
import { AxiosResponse } from 'axios';
export declare class ResponseBuilder {
    private output;
    private response;
    constructor(request: ApiRequest);
    withAxiosResponse(axiosResponse: AxiosResponse): this;
    withIsSuccess(isSuccess: boolean): this;
    withIsError(isError: boolean): this;
    withErrorType(errorType: ApiErrorType): this;
    withErrorMessage(errorMessage: string): this;
    build(): ApiResponse;
}
