"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.captureLog = void 0;
var logger_1 = require("./../logger/logger");
var captureLog = function (store) {
    console.log = function () {
        var params = [];
        for (var _i = 0; _i < arguments.length; _i++) {
            params[_i] = arguments[_i];
        }
        var action;
        if (params.length === 2) {
            var message = (params[0] || '').replace(' ->', '');
            var data = params[1];
            action = logger_1.log({ message: message, data: data });
        }
        else {
            action = logger_1.log(params);
        }
        store.dispatch(action);
    };
};
exports.captureLog = captureLog;
//# sourceMappingURL=log.js.map