"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.$idleRequests = exports.$nodeTypes = exports.$actionTypes = exports.$config = exports.$apiGlobalSettings = exports.$requestsRaw = exports.$apiRaw = exports.$i = void 0;
var types_1 = require("./../types/types");
var reselect_1 = require("reselect");
var $i = function (i) { return i; };
exports.$i = $i;
exports.$apiRaw = reselect_1.createSelector(exports.$i, function (state) { return state._api; });
exports.$requestsRaw = reselect_1.createSelector(exports.$apiRaw, function (api) { return api.requests; });
exports.$apiGlobalSettings = reselect_1.createSelector(exports.$apiRaw, function (api) { return api.apiGlobalSettings; });
exports.$config = reselect_1.createSelector(exports.$apiRaw, function (api) { return api.endpointsConfig; });
exports.$actionTypes = reselect_1.createSelector(exports.$apiRaw, function (api) { return api.actionTypes; });
exports.$nodeTypes = reselect_1.createSelector(exports.$apiRaw, function (api) { return api.nodeTypes; });
exports.$idleRequests = reselect_1.createSelector(exports.$requestsRaw, function (requests) {
    return requests.filter(function (request) { return request.status === types_1.ApiRequestStatus.IDLE; });
});
//# sourceMappingURL=selectors.js.map