"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.output = exports.input = void 0;
var report = function (title, data, isInput) {
    var event = new CustomEvent('io', {
        detail: {
            title: title,
            isInput: isInput,
            data: data,
        },
    });
    document.dispatchEvent(event);
};
var input = function (title, data) { return report(title, data, true); };
exports.input = input;
var output = function (title, data) { return report(title, data, false); };
exports.output = output;
//# sourceMappingURL=report.js.map